> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/dashboard_updates.md).

# Dashboard Updates

### QUESTION

When upgrading the Kibana or OpenSearch Dashboards, is it necessary to also update the ElastiFlow dashboards?

### ANSWER

While we are constantly improving our dashboards, some of which take advantage of version-specific features, the earlier dashboards should continue to work after upgrading Kibana or OpenSearch Dashboards. If however you want to use the latest dashboards, you can usually overwrite the existing saved objects. You can also delete the existing saved objects prior to importing the latest. This will ensure that there are no issues.

{% hint style="danger" %}
When overwriting or deleting your existing saved objects, any customization you may have made will be lost. It is recommended that you first export any customized visualizations, saved searches or dashboards. You will then be able to reimport them as necessary.
{% endhint %}

### REFERENCE

* [Kibana Saved Objects](https://github.com/elastiflow/documentation/blob/main/docs/data_platforms/elastic/kibana/README.md#download-kibana-objects)
* [OpenSearch Dashboards Saved Objects](https://github.com/elastiflow/documentation/blob/main/docs/data_platforms/opensearch/dashboards/README.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/dashboard_updates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
